<html>
    <section th:fragment="has_part_statement">
		<table>
			<tbody>
				<tr th:each="row, rowStat : ${data}">
					<div th:object="${row.get('HasPartStatementUnitResourceObjectPosition')}">
						<td>
							<p>haspart:</p>
						</td>
						<td>
							<p th:text="*{resourceLabel}">Label</p>
						</td>
						<td>
							<p th:text="*{formattedResourceLabel}">Resource</p>
						</td>
						<td th:if="*{describedBy != null}">
							<a th:text="#{edit}" th:href="*{'/item/' + __${context}__ + '/' + describedBy}">Edit</a>
						</td>
						<td>
							<form action="#" th:action="${endpoint}" method="post">
								<button type="submit" name="removeStatement" th:value="*{uri}" th:text="#{remove}">Remove</button>
							</form>
						</td>
					</div>
				</tr>
				<tr>
					<form action="#" th:action="${endpoint}" method="post">
						<td>
							<p>haspart:</p>
						</td>
						<td>
							<input type="text" placeholder="Resource" name="@input:resource:HasPartStatementUnitResourceObjectPosition"></input>
						</td>
						<td>
							<input type="text" placeholder="Label (Optional)" name="@input:label:HasPartStatementUnitResourceObjectPosition"></input>
						</td>
						<td>
							<select name="@input:type:HasPartStatementUnitResourceObjectPosition">
								<option th:each="type : ${resourceTypes}" th:value="${type}" th:text="#{${'resource.type.' + type}}">Type</option>
							</select>
						</td>
						<td>
							<button type="submit" name="addStatement" value="HasPartStatementKGBBInstance">Create</button>
						</td>
					</form>
				</tr>
			</tbody>
		</table>
    </section>
</html>